aboutsummaryrefslogtreecommitdiffstats
path: root/builds.sr.ht/manifest.md
diff options
context:
space:
mode:
authorStephen Gregoratto <dev@sgregoratto.me>2019-01-14 14:04:59 +1100
committerDrew DeVault <sir@cmpwn.com>2019-01-14 07:53:30 -0500
commit7e055f2dd5256f0083ac446022ccc8328a5ad873 (patch)
tree8368e58653f7195df0a2988b4759350f058b176d /builds.sr.ht/manifest.md
parentd70774ecb1add3929d0c8491a8d7d7c9021e99da (diff)
downloadsr.ht-docs-7e055f2dd5256f0083ac446022ccc8328a5ad873.tar.gz
Use fenced code blocks where applicable.
Diffstat (limited to 'builds.sr.ht/manifest.md')
-rw-r--r--builds.sr.ht/manifest.md12
1 files changed, 7 insertions, 5 deletions
diff --git a/builds.sr.ht/manifest.md b/builds.sr.ht/manifest.md
index 1591602..c4e37c9 100644
--- a/builds.sr.ht/manifest.md
+++ b/builds.sr.ht/manifest.md
@@ -65,10 +65,12 @@ user in the build environment.
A list of scripts to execute in the build environment. These scripts are run
with the following preamble:
- #!/usr/bin/env bash
- . ~/.buildenv
- set -x
- set -e
+```sh
+#!/usr/bin/env bash
+. ~/.buildenv
+set -x
+set -e
+```
~/.buildenv contains environment variables specified by the `environment`
directive.
@@ -94,7 +96,7 @@ See also: [Build triggers](triggers.md)
*dictionary* (of *string: string* OR *string: list*)
A list of key/value pairs for options to set in the build environment via
-~/.buildenv.
+`~/.buildenv`.
## secrets